Skip to content

API Reference

Add screening check information

POST /v1/business/screening_check https://api.cable.tech

Business endpoint for adding new screening check information

Authentication

  • API key in the x-api-key header

Request body

application/json list of objects required

Request body for adding screening checks information, such as PEP, AM & Sanctions for a parent entity

  • timestamp string required

    Original timestamp relating to this screening check information creation/change

    Format date-time

  • data object required
    • screening_id string required

      The ID linking the initial/reviewed result

      Limits min length 1

    • screening_type string required

      The type of screening check that was performed. One of: SANCTION, PEP, ADVERSE_MEDIA

      Limits min length 1

    • screening_lists list of strings

      The lists that were screened against. E.g. OFAC, ComplyAdvantage Watchlists…

      Limits min length 1min items 1

    • screening_outcome string required

      The outcome of the screening check. One of: POSITIVE, NEGATIVE, TRUE_POSITIVE, TRUE_NEGATIVE, FALSE_POSITIVE, FALSE_NEGATIVE

      Limits min length 1

    • screening_provider string required

      The provider that performed the screening check

      Limits min length 1

    • custom object

      Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture.

  • parent object required
    • id string required

      Unique external identifier of the parent entity, ID stored in your database / back-office

      Limits min length 1

    • type string required

      Type of the parent entity

      Allowed values companyperson

Responses

200 Operation success

  • success boolean required

    You probably did something wrong if you set this to false

    Default true

Errors

  • default Operation error

Error body default

  • code string required
  • message string required
  • data object